org.apache.xml.serializer.utils

## Class WrappedRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.xml.serializer.utils.WrappedRuntimeException

All Implemented Interfaces:
  java.io.Serializable

    public final class WrappedRuntimeException
    extends java.lang.RuntimeException

This class is for throwing important checked exceptions over non-checked methods. It should be used with care, and in limited circumstances. This class is a copy of the one in org.apache.xml.utils. It exists to cut the serializers dependancy on that package. This class is not a public API, it is only public because it is used by org.apache.xml.serializer.

See Also:
  Serialized Form
Usage:
  **For internal use only**

### Constructor Summary

Constructors
Constructor and Description
`WrappedRuntimeException(java.lang.Exception e)` Construct a WrappedRuntimeException from a checked exception.
`WrappedRuntimeException(java.lang.String msg, java.lang.Exception e)` Constructor WrappedRuntimeException

### Method Summary

Methods
`java.lang.Exception` `getException()` Get the checked exception that this runtime exception wraps.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WrappedRuntimeException

    public WrappedRuntimeException(java.lang.Exception e)

Construct a WrappedRuntimeException from a checked exception.

Parameters:
  `e` - Primary checked exception

#### WrappedRuntimeException

    public WrappedRuntimeException(java.lang.String msg,
                           java.lang.Exception e)

Constructor WrappedRuntimeException

Parameters:
  `msg` - Exception information.
  `e` - Primary checked exception

### Method Detail

#### getException

    public java.lang.Exception getException()

Get the checked exception that this runtime exception wraps.

Returns:
  The primary checked exception